package com.bzd.system.service.fwgl;

import com.bzd.common.config.dao.DaoBase;
import com.bzd.common.config.dao.DaoSupport;
import com.bzd.common.config.dao.PageData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;


/**
*
* 服务管理 service
* @author LiXiangFei
* @since 2024-10-15
*/

@Service
public class SFwglServicetypeinfoService {

    @Autowired
    private DaoBase dao;

    @Resource(name = "daoSupport")
    private DaoSupport daoSupport;

    public Integer addSFwglServicetypeinfo(PageData pd)throws Exception {
        return daoSupport.update("SFwglServicetypeinfoMapper.addSFwglServicetypeinfo", pd);
    }

    public List<PageData> findSFwglServicetypeinfoList(PageData pd) throws Exception{
        return (List<PageData>) daoSupport.findForList("SFwglServicetypeinfoMapper.selectSFwglServicetypeinfoList", pd);
    }

    public Integer SFwglServicetypeinfoRemove(PageData pd)throws Exception {
        return daoSupport.delete("SFwglServicetypeinfoMapper.SFwglServicetypeinfoRemove", pd);
    }


    public Integer updateSFwglServicetypeinfo(PageData pd)throws Exception {
        return daoSupport.update("SFwglServicetypeinfoMapper.updateSFwglServicetypeinfo", pd);
    }

}
